Mail API reference

Mail API · Integrations

get/v1/workspaces/{workspace_id}/integrations/github/reposAuth

List repos visible to the connected GitHub account.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Response · 200

Array of object

full_name*string

The repository as `<owner>/<repo>`.

default_branch*string

The repository's default branch.

private*boolean

True for a private repository.

html_url*string · uri

The repository on github.com.

updated_at*string · date-time

When the repository was last pushed to or changed.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/repos
Authorization: Bearer YOUR_TOKEN

Response

[
  {
    "full_name": "string",
    "default_branch": "string",
    "private": false,
    "html_url": "string",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
]